####################
## parabolic NIRB ##
## Elise Grosjean ##
####################

Requirements:
FreeFem++ with IOVTK module
Python3 with package vtk 
BasicTools in python path https://gitlab.com/drti/basic-tools

(We use FreeFem++ - version 4.12, https://freefem.org/ and Python 3.10.12)


# FEMInit.sh:

Bash script to launch the coarse and fine training data sets

Will create a folder "TestT0a1" and two subfolders with the fine and the coarse snapshots (launch the FreeFem++ file "Crank_Eulerinit.edp")


# launch_NIRB.sh:

Bash script to launch the offline and online steps of NIRB algorithm with Greedy algorithm

(launch the python file "NirbGreedy.py")

Save NIRB approximations in the format NIRB_approximation_"+str(time)+"_"+str(cpt)+".vtu" with cpt=nb of modes





